Subject: Re: [Megaco] Error in H.248 section 7.2.8

From: Christian Groves <[email-masked]>
Date: Wed, 01 Aug 2001 11:05:35 +1000

G'Day,

In my version of H.248v1 and v2, "Gateway" is there???

Cheers, Christian

Terry L Anderson wrote:
> 
> "Gateway" used here is indeed wrong and confusing.  I will include the
> change.
> 
> David Barr wrote:
> 
> >
> >
> > Here's one for the next H.248 Implementation Guide.
> >
> > The following is from H.248 section 7.2.8:
> > "The Media Gateway Controller may return an ServiceChangeMgcId
> > parameter that describes the Media Gateway Controller that should
> > preferably be contacted for further service by the Media Gateway. In
> > this case the Media Gateway shall reissue the ServiceChange command to
> > the new Media Gateway Controller. The **Gateway** specified in an
> > ServiceChangeMgcId, if provided, shall be contacted before any further
> > alternate MGCs. On a HandOff message from MGC to MG, the
> > ServiceChangeMgcId is the new MGC that will take over from the current
> > MGC."
> >
> > Now, I think the word **Gateway** should really say MGC.
> 
> --
> Waiting for the other shoe to drop but hoping its a one legged man.
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

_______________________________________________
Megaco mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/megaco

---

From: "IPEK SARAC" <[email-masked]>
Date: Wed, 1 Aug 2001 13:42:41 +0300

Hello,

RFC3015 doesn't mention if ServiceChangeReason for ServiceChange command is
mandatory or optional (it doesn't say optional so i take it as required).
Megaco Call Flow Examples draft doesn't include a ServiceChangeReason in
cold start scenario. Which one is true?

Thanks in advance.

Ipek Sarac

---

From: Terry L Anderson <[email-masked]>
Date: Wed, 01 Aug 2001 11:08:33 -0400

This is another difference between the text and binary versions.  The ASN.1
clearly requires serviceChangeMethod and serviceChangeReason in each
ServiceChange command with all other parameters optional, but the ABNF simply
states (in comments added in IG 6.5 and 6.72) that each item can appear at most
once and only one of ServiceChangeAddress and ServiceChangeMgcId - no element
is required.

I am not sure that this difference was intentional but that is the current
state of the spec.  Do we want the ABNF to also require ServiceChangeMethod and
ServiceChangeReason?  The registration in the text-based example in A.1.1
contains a Method but not a Reason.

---

From: "Madhu Babu Brahmanapally" <[email-masked]>
Date: Wed, 1 Aug 2001 12:04:54 -0400

HI Ipek,All,
The Megaco Call flow examples are only "Examples" in case of any
inconsistency, please do refer to the protocol.

Regards
Madhubabu

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
IPEK SARAC
Sent: Wednesday, August 01, 2001 6:43 AM
To: [email-masked]
Subject: [Megaco] ServiceChangeReason parameter

Hello,

Thanks in advance.

Ipek Sarac

---

From: Troy Cauble <[email-masked]>
Date: Wed, 01 Aug 2001 11:36:42 -0400

Or do we want the ASN.1 version changed to OPTIONAL ?

I don't care which, but it should be consistent between
text and ASN.1.

-troy

---

From: Christian Groves <[email-masked]>
Date: Thu, 02 Aug 2001 10:59:20 +1000

Hello Terry,

I believe the ASN.1 is correct if you read the procedural text in
ch7.2.8 every element says "The optional", ServiceChangeMethod and
ServiceChangeReason does not have this qualification.

Christian

---

From: Terry L Anderson <[email-masked]>
Date: Thu, 02 Aug 2001 10:17:14 -0400

> ServiceChangeReason does not have this qualification.

Isn't that a bit too subtle and shouldn't this be in the ABNF comments.

---

From: Christian Groves <[email-masked]>
Date: Fri, 03 Aug 2001 11:20:18 +1000

No I don't believe its too subtle. The binary has Service Change Reason
and Method as mandatory as per the text. The ABNF because of its
specification can't enforce this, so yes a comment is needed. If the
reason is neglected what does the MGC do? The reasons were given to add
some meaning to the Methods.

Christian

---

From: Terry L Anderson <[email-masked]>
Date: Fri, 03 Aug 2001 12:30:11 -0400

By "too subtle" I only meant a parameter being mandatory being stated only in the body of
H.248 and not in the syntax spec (when other similar restrictions/requirements ARE stated
in the syntax spec).  You seem to agree that adding a comment in the ABNF is good.

The IG has already added two comments before serviceChangeParm
(6.5) ; each parameter at-most-once
(6.72) ;at most one of either serviceChangeAddress or serviceChangeMgcId but not both

I propose we add one additional comment

; serviceChangeMethod and serviceChangeReason are REQUIRED